Up Next

# kiteohedron - kite-faced polyhedra

Usage | Examples | Notes

## Usage

    Usage: kiteohedron [options] frac_A frac_B [frac_C]

    The three fractions A, B, C (default 2) specifying the Schwarz triangle
    vertices, where n/d corresponds to an angle PI*d/n. The kite has vertices
    along A, C, B, and C reflected in AB. The kite is repeated with the
    symmetry corresponding to the base Schwarz triangle.

    Options
      -h        this help message
      -l ht     height of kite vertex on OA (cannot use with -p))
      -p ht     height of pivot, midpoint of C and C reflected in AB (cannot
                use with -l))
      -k        output a single kite (colours not applied)
      -c type   colour the faces around each vertex of a type, from AaBbCc
                (colouring by value/index for upper/lower case) using a
                different colour for each set
      -o <file> write output to file (default: write to standard output)

## Examples

General member of series including deltoidal hexacontahedron.

       kiteohedron 5 3 2 | antiview

General member of series including deltoidal icositetrahedron. The third vertex of the triangle uses the default of 2

       kiteohedron 3 4 | antiview

General member of series including deltoidal icositetrahedron. Set a height for the point along the first vertex (fixes the pivot)

       kiteohedron -l 2.5 3 4 | antiview

General member of series including deltoidal icositetrahedron. Set a height for the pivot, the midpoint of the line segment joining the kite's side vertices (fixes the vertex at A).

       kiteohedron -p 2.5 3 4 | antiview

General member of series including deltoidal icositetrahedron. The vertex order is significant

       kiteohedron -l 2.5 4 3 | antiview

Colour faces around vertices of type A (the first vertex, in this case with angle 4) in sets

       kiteohedron -c A -l 2.5 4 3 | antiview

Colour faces around vertices of type B (the second vertex, in this case with angle 3) in sets

       kiteohedron -c B -l 2.5 4 3 | antiview

Colour faces around vertices of type C (the third vertex, in this case with angle 3). With vertex C only half the faces around each vertex have the same colour

       kiteohedron -c C -l 2.5 4 3 | antiview

Output a single kite

       kiteohedron -k -l 2.5 4 3 | antiview

Negative heights are allowed

       kiteohedron -l -2.5 4 3 2 | antiview

Instead of using a negative height, B and C could be replaced with their supplements

       kiteohedron -l 2.5 4 3/2 2 | antiview

The duals can be attractive

       kiteohedron -l 0.3 5/4 5/2 2 | pol_recip | antiview

Models with A or B as 2 will be degenerate, and have triangles for kites

       kiteohedron 3 2 4| antiview

## Notes

See the Wikipedia page on Schwarz triangles for a description and list of triangles.

Up: Programs and Documentation
Next: conway - Conway Notation transformations

Antiprism Documentation 13.10.2012 - http://www.antiprism.com/